{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} {{emp.first_name}} {{emp.last_name}} | Bank details {% endblock title %}

{% block content %}
<div class="column is-one-third is-offset-one-third">
    <div class="section card">
        <h3 class="title is-3 has-text-centered">Bank account details</h3>
        <h3 class="subtitle has-text-centered"> {{emp.first_name}} {{emp.last_name}} </h3>
        <table class="table">
            <tr>
                <th> Account holder's name:</th>
                <td>{{ acc.acc_name }}</td>
            </tr>
            <tr>
                <th> Account Number:</th>
                <td>{{ acc.acc_no }}</td>
            </tr>
            <tr>
                <th> Account Type:</th>
                <td>{% if acc.acc_type == "SB" %} Savings {% elif acc.acc_type == "CUR" %} Current {% else %} - {% endif %}</td>
            </tr>
            <tr>
                <th> Bank Name:</th>
                <td>{{ acc.bank_name }}</td>
            </tr>
            <tr>
                <th> Bank Branch:</th>
                <td>{{ acc.branch }}</td>
            </tr>
            <tr>
                <th> Bank Account Unique ID:</th>
                <td>{{ acc.uid }}</td>
            </tr>
            <tr>
                <th> PAN Number:</th>
                <td>{{ acc.pan }}</td>
            </tr>

            {% if acc.bank_details_proof %}
            <tr>
                <th>Bank Passbook</th>
                <td><a href="{{ acc.bank_details_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
            </tr>
            {% endif %}
        </table>
        <a href="{% url 'bank_account_edit' empid=emp.emp_id bank_id=acc.id %}"> <button class="button is-warning">Edit</button></a>
    </div>
</div>
{% endblock content %}